Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network178.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
178.0.0.0
Broadcast address
179.255.255.255
First usable
178.0.0.1
Last usable
179.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex B2000000 · Integer 2986344448 to 3019898879
Reverse DNS zones
178.in-addr.arpa
179.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110010.00000000.00000000.00000000178.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10110010.00000000.00000000.00000000178.0.0.0
Broadcast10110011.11111111.11111111.11111111179.255.255.255
Split into smaller subnets/17

178.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1178.0.0.0/17178.0.0.1 to 178.0.127.254178.0.127.25532,766
2178.0.128.0/17178.0.128.1 to 178.0.255.254178.0.255.25532,766
3178.1.0.0/17178.1.0.1 to 178.1.127.254178.1.127.25532,766
4178.1.128.0/17178.1.128.1 to 178.1.255.254178.1.255.25532,766
5178.2.0.0/17178.2.0.1 to 178.2.127.254178.2.127.25532,766
6178.2.128.0/17178.2.128.1 to 178.2.255.254178.2.255.25532,766
7178.3.0.0/17178.3.0.1 to 178.3.127.254178.3.127.25532,766
8178.3.128.0/17178.3.128.1 to 178.3.255.254178.3.255.25532,766
9178.4.0.0/17178.4.0.1 to 178.4.127.254178.4.127.25532,766
10178.4.128.0/17178.4.128.1 to 178.4.255.254178.4.255.25532,766
11178.5.0.0/17178.5.0.1 to 178.5.127.254178.5.127.25532,766
12178.5.128.0/17178.5.128.1 to 178.5.255.254178.5.255.25532,766
13178.6.0.0/17178.6.0.1 to 178.6.127.254178.6.127.25532,766
14178.6.128.0/17178.6.128.1 to 178.6.255.254178.6.255.25532,766
15178.7.0.0/17178.7.0.1 to 178.7.127.254178.7.127.25532,766
16178.7.128.0/17178.7.128.1 to 178.7.255.254178.7.255.25532,766
17178.8.0.0/17178.8.0.1 to 178.8.127.254178.8.127.25532,766
18178.8.128.0/17178.8.128.1 to 178.8.255.254178.8.255.25532,766
19178.9.0.0/17178.9.0.1 to 178.9.127.254178.9.127.25532,766
20178.9.128.0/17178.9.128.1 to 178.9.255.254178.9.255.25532,766
21178.10.0.0/17178.10.0.1 to 178.10.127.254178.10.127.25532,766
22178.10.128.0/17178.10.128.1 to 178.10.255.254178.10.255.25532,766
23178.11.0.0/17178.11.0.1 to 178.11.127.254178.11.127.25532,766
24178.11.128.0/17178.11.128.1 to 178.11.255.254178.11.255.25532,766
25178.12.0.0/17178.12.0.1 to 178.12.127.254178.12.127.25532,766
26178.12.128.0/17178.12.128.1 to 178.12.255.254178.12.255.25532,766
27178.13.0.0/17178.13.0.1 to 178.13.127.254178.13.127.25532,766
28178.13.128.0/17178.13.128.1 to 178.13.255.254178.13.255.25532,766
29178.14.0.0/17178.14.0.1 to 178.14.127.254178.14.127.25532,766
30178.14.128.0/17178.14.128.1 to 178.14.255.254178.14.255.25532,766
31178.15.0.0/17178.15.0.1 to 178.15.127.254178.15.127.25532,766
32178.15.128.0/17178.15.128.1 to 178.15.255.254178.15.255.25532,766
33178.16.0.0/17178.16.0.1 to 178.16.127.254178.16.127.25532,766
34178.16.128.0/17178.16.128.1 to 178.16.255.254178.16.255.25532,766
35178.17.0.0/17178.17.0.1 to 178.17.127.254178.17.127.25532,766
36178.17.128.0/17178.17.128.1 to 178.17.255.254178.17.255.25532,766
37178.18.0.0/17178.18.0.1 to 178.18.127.254178.18.127.25532,766
38178.18.128.0/17178.18.128.1 to 178.18.255.254178.18.255.25532,766
39178.19.0.0/17178.19.0.1 to 178.19.127.254178.19.127.25532,766
40178.19.128.0/17178.19.128.1 to 178.19.255.254178.19.255.25532,766
41178.20.0.0/17178.20.0.1 to 178.20.127.254178.20.127.25532,766
42178.20.128.0/17178.20.128.1 to 178.20.255.254178.20.255.25532,766
43178.21.0.0/17178.21.0.1 to 178.21.127.254178.21.127.25532,766
44178.21.128.0/17178.21.128.1 to 178.21.255.254178.21.255.25532,766
45178.22.0.0/17178.22.0.1 to 178.22.127.254178.22.127.25532,766
46178.22.128.0/17178.22.128.1 to 178.22.255.254178.22.255.25532,766
47178.23.0.0/17178.23.0.1 to 178.23.127.254178.23.127.25532,766
48178.23.128.0/17178.23.128.1 to 178.23.255.254178.23.255.25532,766
49178.24.0.0/17178.24.0.1 to 178.24.127.254178.24.127.25532,766
50178.24.128.0/17178.24.128.1 to 178.24.255.254178.24.255.25532,766
51178.25.0.0/17178.25.0.1 to 178.25.127.254178.25.127.25532,766
52178.25.128.0/17178.25.128.1 to 178.25.255.254178.25.255.25532,766
53178.26.0.0/17178.26.0.1 to 178.26.127.254178.26.127.25532,766
54178.26.128.0/17178.26.128.1 to 178.26.255.254178.26.255.25532,766
55178.27.0.0/17178.27.0.1 to 178.27.127.254178.27.127.25532,766
56178.27.128.0/17178.27.128.1 to 178.27.255.254178.27.255.25532,766
57178.28.0.0/17178.28.0.1 to 178.28.127.254178.28.127.25532,766
58178.28.128.0/17178.28.128.1 to 178.28.255.254178.28.255.25532,766
59178.29.0.0/17178.29.0.1 to 178.29.127.254178.29.127.25532,766
60178.29.128.0/17178.29.128.1 to 178.29.255.254178.29.255.25532,766
61178.30.0.0/17178.30.0.1 to 178.30.127.254178.30.127.25532,766
62178.30.128.0/17178.30.128.1 to 178.30.255.254178.30.255.25532,766
63178.31.0.0/17178.31.0.1 to 178.31.127.254178.31.127.25532,766
64178.31.128.0/17178.31.128.1 to 178.31.255.254178.31.255.25532,766
65178.32.0.0/17178.32.0.1 to 178.32.127.254178.32.127.25532,766
66178.32.128.0/17178.32.128.1 to 178.32.255.254178.32.255.25532,766
67178.33.0.0/17178.33.0.1 to 178.33.127.254178.33.127.25532,766
68178.33.128.0/17178.33.128.1 to 178.33.255.254178.33.255.25532,766
69178.34.0.0/17178.34.0.1 to 178.34.127.254178.34.127.25532,766
70178.34.128.0/17178.34.128.1 to 178.34.255.254178.34.255.25532,766
71178.35.0.0/17178.35.0.1 to 178.35.127.254178.35.127.25532,766
72178.35.128.0/17178.35.128.1 to 178.35.255.254178.35.255.25532,766
73178.36.0.0/17178.36.0.1 to 178.36.127.254178.36.127.25532,766
74178.36.128.0/17178.36.128.1 to 178.36.255.254178.36.255.25532,766
75178.37.0.0/17178.37.0.1 to 178.37.127.254178.37.127.25532,766
76178.37.128.0/17178.37.128.1 to 178.37.255.254178.37.255.25532,766
77178.38.0.0/17178.38.0.1 to 178.38.127.254178.38.127.25532,766
78178.38.128.0/17178.38.128.1 to 178.38.255.254178.38.255.25532,766
79178.39.0.0/17178.39.0.1 to 178.39.127.254178.39.127.25532,766
80178.39.128.0/17178.39.128.1 to 178.39.255.254178.39.255.25532,766
81178.40.0.0/17178.40.0.1 to 178.40.127.254178.40.127.25532,766
82178.40.128.0/17178.40.128.1 to 178.40.255.254178.40.255.25532,766
83178.41.0.0/17178.41.0.1 to 178.41.127.254178.41.127.25532,766
84178.41.128.0/17178.41.128.1 to 178.41.255.254178.41.255.25532,766
85178.42.0.0/17178.42.0.1 to 178.42.127.254178.42.127.25532,766
86178.42.128.0/17178.42.128.1 to 178.42.255.254178.42.255.25532,766
87178.43.0.0/17178.43.0.1 to 178.43.127.254178.43.127.25532,766
88178.43.128.0/17178.43.128.1 to 178.43.255.254178.43.255.25532,766
89178.44.0.0/17178.44.0.1 to 178.44.127.254178.44.127.25532,766
90178.44.128.0/17178.44.128.1 to 178.44.255.254178.44.255.25532,766
91178.45.0.0/17178.45.0.1 to 178.45.127.254178.45.127.25532,766
92178.45.128.0/17178.45.128.1 to 178.45.255.254178.45.255.25532,766
93178.46.0.0/17178.46.0.1 to 178.46.127.254178.46.127.25532,766
94178.46.128.0/17178.46.128.1 to 178.46.255.254178.46.255.25532,766
95178.47.0.0/17178.47.0.1 to 178.47.127.254178.47.127.25532,766
96178.47.128.0/17178.47.128.1 to 178.47.255.254178.47.255.25532,766
97178.48.0.0/17178.48.0.1 to 178.48.127.254178.48.127.25532,766
98178.48.128.0/17178.48.128.1 to 178.48.255.254178.48.255.25532,766
99178.49.0.0/17178.49.0.1 to 178.49.127.254178.49.127.25532,766
100178.49.128.0/17178.49.128.1 to 178.49.255.254178.49.255.25532,766
101178.50.0.0/17178.50.0.1 to 178.50.127.254178.50.127.25532,766
102178.50.128.0/17178.50.128.1 to 178.50.255.254178.50.255.25532,766
103178.51.0.0/17178.51.0.1 to 178.51.127.254178.51.127.25532,766
104178.51.128.0/17178.51.128.1 to 178.51.255.254178.51.255.25532,766
105178.52.0.0/17178.52.0.1 to 178.52.127.254178.52.127.25532,766
106178.52.128.0/17178.52.128.1 to 178.52.255.254178.52.255.25532,766
107178.53.0.0/17178.53.0.1 to 178.53.127.254178.53.127.25532,766
108178.53.128.0/17178.53.128.1 to 178.53.255.254178.53.255.25532,766
109178.54.0.0/17178.54.0.1 to 178.54.127.254178.54.127.25532,766
110178.54.128.0/17178.54.128.1 to 178.54.255.254178.54.255.25532,766
111178.55.0.0/17178.55.0.1 to 178.55.127.254178.55.127.25532,766
112178.55.128.0/17178.55.128.1 to 178.55.255.254178.55.255.25532,766
113178.56.0.0/17178.56.0.1 to 178.56.127.254178.56.127.25532,766
114178.56.128.0/17178.56.128.1 to 178.56.255.254178.56.255.25532,766
115178.57.0.0/17178.57.0.1 to 178.57.127.254178.57.127.25532,766
116178.57.128.0/17178.57.128.1 to 178.57.255.254178.57.255.25532,766
117178.58.0.0/17178.58.0.1 to 178.58.127.254178.58.127.25532,766
118178.58.128.0/17178.58.128.1 to 178.58.255.254178.58.255.25532,766
119178.59.0.0/17178.59.0.1 to 178.59.127.254178.59.127.25532,766
120178.59.128.0/17178.59.128.1 to 178.59.255.254178.59.255.25532,766
121178.60.0.0/17178.60.0.1 to 178.60.127.254178.60.127.25532,766
122178.60.128.0/17178.60.128.1 to 178.60.255.254178.60.255.25532,766
123178.61.0.0/17178.61.0.1 to 178.61.127.254178.61.127.25532,766
124178.61.128.0/17178.61.128.1 to 178.61.255.254178.61.255.25532,766
125178.62.0.0/17178.62.0.1 to 178.62.127.254178.62.127.25532,766
126178.62.128.0/17178.62.128.1 to 178.62.255.254178.62.255.25532,766
127178.63.0.0/17178.63.0.1 to 178.63.127.254178.63.127.25532,766
128178.63.128.0/17178.63.128.1 to 178.63.255.254178.63.255.25532,766
129178.64.0.0/17178.64.0.1 to 178.64.127.254178.64.127.25532,766
130178.64.128.0/17178.64.128.1 to 178.64.255.254178.64.255.25532,766
131178.65.0.0/17178.65.0.1 to 178.65.127.254178.65.127.25532,766
132178.65.128.0/17178.65.128.1 to 178.65.255.254178.65.255.25532,766
133178.66.0.0/17178.66.0.1 to 178.66.127.254178.66.127.25532,766
134178.66.128.0/17178.66.128.1 to 178.66.255.254178.66.255.25532,766
135178.67.0.0/17178.67.0.1 to 178.67.127.254178.67.127.25532,766
136178.67.128.0/17178.67.128.1 to 178.67.255.254178.67.255.25532,766
137178.68.0.0/17178.68.0.1 to 178.68.127.254178.68.127.25532,766
138178.68.128.0/17178.68.128.1 to 178.68.255.254178.68.255.25532,766
139178.69.0.0/17178.69.0.1 to 178.69.127.254178.69.127.25532,766
140178.69.128.0/17178.69.128.1 to 178.69.255.254178.69.255.25532,766
141178.70.0.0/17178.70.0.1 to 178.70.127.254178.70.127.25532,766
142178.70.128.0/17178.70.128.1 to 178.70.255.254178.70.255.25532,766
143178.71.0.0/17178.71.0.1 to 178.71.127.254178.71.127.25532,766
144178.71.128.0/17178.71.128.1 to 178.71.255.254178.71.255.25532,766
145178.72.0.0/17178.72.0.1 to 178.72.127.254178.72.127.25532,766
146178.72.128.0/17178.72.128.1 to 178.72.255.254178.72.255.25532,766
147178.73.0.0/17178.73.0.1 to 178.73.127.254178.73.127.25532,766
148178.73.128.0/17178.73.128.1 to 178.73.255.254178.73.255.25532,766
149178.74.0.0/17178.74.0.1 to 178.74.127.254178.74.127.25532,766
150178.74.128.0/17178.74.128.1 to 178.74.255.254178.74.255.25532,766
151178.75.0.0/17178.75.0.1 to 178.75.127.254178.75.127.25532,766
152178.75.128.0/17178.75.128.1 to 178.75.255.254178.75.255.25532,766
153178.76.0.0/17178.76.0.1 to 178.76.127.254178.76.127.25532,766
154178.76.128.0/17178.76.128.1 to 178.76.255.254178.76.255.25532,766
155178.77.0.0/17178.77.0.1 to 178.77.127.254178.77.127.25532,766
156178.77.128.0/17178.77.128.1 to 178.77.255.254178.77.255.25532,766
157178.78.0.0/17178.78.0.1 to 178.78.127.254178.78.127.25532,766
158178.78.128.0/17178.78.128.1 to 178.78.255.254178.78.255.25532,766
159178.79.0.0/17178.79.0.1 to 178.79.127.254178.79.127.25532,766
160178.79.128.0/17178.79.128.1 to 178.79.255.254178.79.255.25532,766
161178.80.0.0/17178.80.0.1 to 178.80.127.254178.80.127.25532,766
162178.80.128.0/17178.80.128.1 to 178.80.255.254178.80.255.25532,766
163178.81.0.0/17178.81.0.1 to 178.81.127.254178.81.127.25532,766
164178.81.128.0/17178.81.128.1 to 178.81.255.254178.81.255.25532,766
165178.82.0.0/17178.82.0.1 to 178.82.127.254178.82.127.25532,766
166178.82.128.0/17178.82.128.1 to 178.82.255.254178.82.255.25532,766
167178.83.0.0/17178.83.0.1 to 178.83.127.254178.83.127.25532,766
168178.83.128.0/17178.83.128.1 to 178.83.255.254178.83.255.25532,766
169178.84.0.0/17178.84.0.1 to 178.84.127.254178.84.127.25532,766
170178.84.128.0/17178.84.128.1 to 178.84.255.254178.84.255.25532,766
171178.85.0.0/17178.85.0.1 to 178.85.127.254178.85.127.25532,766
172178.85.128.0/17178.85.128.1 to 178.85.255.254178.85.255.25532,766
173178.86.0.0/17178.86.0.1 to 178.86.127.254178.86.127.25532,766
174178.86.128.0/17178.86.128.1 to 178.86.255.254178.86.255.25532,766
175178.87.0.0/17178.87.0.1 to 178.87.127.254178.87.127.25532,766
176178.87.128.0/17178.87.128.1 to 178.87.255.254178.87.255.25532,766
177178.88.0.0/17178.88.0.1 to 178.88.127.254178.88.127.25532,766
178178.88.128.0/17178.88.128.1 to 178.88.255.254178.88.255.25532,766
179178.89.0.0/17178.89.0.1 to 178.89.127.254178.89.127.25532,766
180178.89.128.0/17178.89.128.1 to 178.89.255.254178.89.255.25532,766
181178.90.0.0/17178.90.0.1 to 178.90.127.254178.90.127.25532,766
182178.90.128.0/17178.90.128.1 to 178.90.255.254178.90.255.25532,766
183178.91.0.0/17178.91.0.1 to 178.91.127.254178.91.127.25532,766
184178.91.128.0/17178.91.128.1 to 178.91.255.254178.91.255.25532,766
185178.92.0.0/17178.92.0.1 to 178.92.127.254178.92.127.25532,766
186178.92.128.0/17178.92.128.1 to 178.92.255.254178.92.255.25532,766
187178.93.0.0/17178.93.0.1 to 178.93.127.254178.93.127.25532,766
188178.93.128.0/17178.93.128.1 to 178.93.255.254178.93.255.25532,766
189178.94.0.0/17178.94.0.1 to 178.94.127.254178.94.127.25532,766
190178.94.128.0/17178.94.128.1 to 178.94.255.254178.94.255.25532,766
191178.95.0.0/17178.95.0.1 to 178.95.127.254178.95.127.25532,766
192178.95.128.0/17178.95.128.1 to 178.95.255.254178.95.255.25532,766
193178.96.0.0/17178.96.0.1 to 178.96.127.254178.96.127.25532,766
194178.96.128.0/17178.96.128.1 to 178.96.255.254178.96.255.25532,766
195178.97.0.0/17178.97.0.1 to 178.97.127.254178.97.127.25532,766
196178.97.128.0/17178.97.128.1 to 178.97.255.254178.97.255.25532,766
197178.98.0.0/17178.98.0.1 to 178.98.127.254178.98.127.25532,766
198178.98.128.0/17178.98.128.1 to 178.98.255.254178.98.255.25532,766
199178.99.0.0/17178.99.0.1 to 178.99.127.254178.99.127.25532,766
200178.99.128.0/17178.99.128.1 to 178.99.255.254178.99.255.25532,766
201178.100.0.0/17178.100.0.1 to 178.100.127.254178.100.127.25532,766
202178.100.128.0/17178.100.128.1 to 178.100.255.254178.100.255.25532,766
203178.101.0.0/17178.101.0.1 to 178.101.127.254178.101.127.25532,766
204178.101.128.0/17178.101.128.1 to 178.101.255.254178.101.255.25532,766
205178.102.0.0/17178.102.0.1 to 178.102.127.254178.102.127.25532,766
206178.102.128.0/17178.102.128.1 to 178.102.255.254178.102.255.25532,766
207178.103.0.0/17178.103.0.1 to 178.103.127.254178.103.127.25532,766
208178.103.128.0/17178.103.128.1 to 178.103.255.254178.103.255.25532,766
209178.104.0.0/17178.104.0.1 to 178.104.127.254178.104.127.25532,766
210178.104.128.0/17178.104.128.1 to 178.104.255.254178.104.255.25532,766
211178.105.0.0/17178.105.0.1 to 178.105.127.254178.105.127.25532,766
212178.105.128.0/17178.105.128.1 to 178.105.255.254178.105.255.25532,766
213178.106.0.0/17178.106.0.1 to 178.106.127.254178.106.127.25532,766
214178.106.128.0/17178.106.128.1 to 178.106.255.254178.106.255.25532,766
215178.107.0.0/17178.107.0.1 to 178.107.127.254178.107.127.25532,766
216178.107.128.0/17178.107.128.1 to 178.107.255.254178.107.255.25532,766
217178.108.0.0/17178.108.0.1 to 178.108.127.254178.108.127.25532,766
218178.108.128.0/17178.108.128.1 to 178.108.255.254178.108.255.25532,766
219178.109.0.0/17178.109.0.1 to 178.109.127.254178.109.127.25532,766
220178.109.128.0/17178.109.128.1 to 178.109.255.254178.109.255.25532,766
221178.110.0.0/17178.110.0.1 to 178.110.127.254178.110.127.25532,766
222178.110.128.0/17178.110.128.1 to 178.110.255.254178.110.255.25532,766
223178.111.0.0/17178.111.0.1 to 178.111.127.254178.111.127.25532,766
224178.111.128.0/17178.111.128.1 to 178.111.255.254178.111.255.25532,766
225178.112.0.0/17178.112.0.1 to 178.112.127.254178.112.127.25532,766
226178.112.128.0/17178.112.128.1 to 178.112.255.254178.112.255.25532,766
227178.113.0.0/17178.113.0.1 to 178.113.127.254178.113.127.25532,766
228178.113.128.0/17178.113.128.1 to 178.113.255.254178.113.255.25532,766
229178.114.0.0/17178.114.0.1 to 178.114.127.254178.114.127.25532,766
230178.114.128.0/17178.114.128.1 to 178.114.255.254178.114.255.25532,766
231178.115.0.0/17178.115.0.1 to 178.115.127.254178.115.127.25532,766
232178.115.128.0/17178.115.128.1 to 178.115.255.254178.115.255.25532,766
233178.116.0.0/17178.116.0.1 to 178.116.127.254178.116.127.25532,766
234178.116.128.0/17178.116.128.1 to 178.116.255.254178.116.255.25532,766
235178.117.0.0/17178.117.0.1 to 178.117.127.254178.117.127.25532,766
236178.117.128.0/17178.117.128.1 to 178.117.255.254178.117.255.25532,766
237178.118.0.0/17178.118.0.1 to 178.118.127.254178.118.127.25532,766
238178.118.128.0/17178.118.128.1 to 178.118.255.254178.118.255.25532,766
239178.119.0.0/17178.119.0.1 to 178.119.127.254178.119.127.25532,766
240178.119.128.0/17178.119.128.1 to 178.119.255.254178.119.255.25532,766
241178.120.0.0/17178.120.0.1 to 178.120.127.254178.120.127.25532,766
242178.120.128.0/17178.120.128.1 to 178.120.255.254178.120.255.25532,766
243178.121.0.0/17178.121.0.1 to 178.121.127.254178.121.127.25532,766
244178.121.128.0/17178.121.128.1 to 178.121.255.254178.121.255.25532,766
245178.122.0.0/17178.122.0.1 to 178.122.127.254178.122.127.25532,766
246178.122.128.0/17178.122.128.1 to 178.122.255.254178.122.255.25532,766
247178.123.0.0/17178.123.0.1 to 178.123.127.254178.123.127.25532,766
248178.123.128.0/17178.123.128.1 to 178.123.255.254178.123.255.25532,766
249178.124.0.0/17178.124.0.1 to 178.124.127.254178.124.127.25532,766
250178.124.128.0/17178.124.128.1 to 178.124.255.254178.124.255.25532,766
251178.125.0.0/17178.125.0.1 to 178.125.127.254178.125.127.25532,766
252178.125.128.0/17178.125.128.1 to 178.125.255.254178.125.255.25532,766
253178.126.0.0/17178.126.0.1 to 178.126.127.254178.126.127.25532,766
254178.126.128.0/17178.126.128.1 to 178.126.255.254178.126.255.25532,766
255178.127.0.0/17178.127.0.1 to 178.127.127.254178.127.127.25532,766
256178.127.128.0/17178.127.128.1 to 178.127.255.254178.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses